"use strict";
const log_1 = require("./lib/log");
const functions_1 = require("./lib/functions");
/** Global options */
exports.DTSBuilderOptions = {
    /** Set to `false` to remove all debug output except for Exceptions */
    verbose: true
};
/**
 * Receives a list of Bundles and generates the d.ts file according
 * to bundle configuration.
 * @param {Array<Bundle>} bundles
 */
function generateBundles(bundles) {
    const finishedBundles = [];
    if (!Array.isArray(bundles)) {
        return Promise.reject(`Invalid bundles argument, must be an array. Got ${typeof bundles}.`);
    }
    const len = bundles.length;
    log_1.log("Generating definition for %d bundle(s)...", len);
    if (!len) {
        log_1.log("Nothing to do... Bye.");
        return Promise.resolve([]);
    }
    return Promise.all(bundles.map(bundle => functions_1.generateSingleBundle(bundle)));
}
exports.generateBundles = generateBundles;
//# sourceMappingURL=index.js.map