"use strict";
const fs = require("fs");
/**
 * @link http://stackoverflow.com/a/14387791
 * @param {string} source filename
 * @param {string} target filename
 * @param {Function} cb
 */
function copyFile(source, target, cb) {
    const rd = fs.createReadStream(source);
    const wr = fs.createWriteStream(target);
    let cbCalled = false;
    const done = (err, res) => {
        if (cbCalled)
            return;
        cb(err, res);
        cbCalled = true;
    };
    rd.on("error", (err) => { done(err); });
    wr.on("error", (err) => { done(err); });
    wr.on("close", () => { done(undefined, target); });
    rd.pipe(wr);
}
exports.copyFile = copyFile;
//# sourceMappingURL=copy-file.js.map